<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
    <%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
    
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<link rel="stylesheet" href="<c:url value="/recursos/css/bootstrap.min.css"/>"/>
<link rel="stylesheet" href="<c:url value="/recursos/css_propios/base.css"/>"/>
<link rel="stylesheet" href="<c:url value="/recursos/css_propios/bienvenida.css"/>"/>


<script src="<c:url value="/recursos/js/bootstrap.min.js"/>"></script>
<script src="<c:url value="/recursos/js/jquery-3.2.1.min.js"/>"></script>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Insert title here</title>
</head>
<body>


<div class="container">

<div class="row">

<section class="col-lg-12 encabezado">
<section class="col-lg-2 contenedor_imagen">
<img src="<c:url value="/recursos/imgs/logo_uam.png"/>"/>
</section>

<section class="col-lg-10">
Soy otra cosa
</section>
</section>

<div class="col-lg-12 ">

<h1 class="titulo_bienvenida">Bienvenido ${bienvenidaFrmJSP.cliente}</h1>

<a href="logout">Salir</a>

<h2>Edita tus Viajes Pendientes</h2>



<table class="table table-hover tabla_viajes">
	<tr>
		<th>No.</th>
		<th>Destino</th>
		<th>Preferencias</th>
		<th>Tipo de Viaje</th>
		<th>Editar</th>
		<th>Eliminar</th>
	</tr>
	
	<c:forEach items="${bienvenidaFrmJSP.viajes}" var="viajeHTML" varStatus="conteo">
		<tr>
		<td>${conteo.count}</td>
		<td>${viajeHTML.destino}</td>
		<td>${viajeHTML.preferencia}</td>
		<td>${viajeHTML.tipoViaje}</td>
		<td><a class ="editar_viaje" href="editarViaje?claveViaje=${viajeHTML.idViaje}">
		
		<img class="inactivo" src="<c:url value="/recursos/imgs/edit_inactivo.jpg"/>"/>
		<img class="activo" src="<c:url value="/recursos/imgs/edit_activo.jpg"/>"/>
		
		
		</a></td>
		<td><a href="borrarViaje?claveViaje=${viajeHTML.idViaje}">Borrar Viaje</a></td>
		</tr>
	</c:forEach>
</table>

<br><br>
<a href="nuevoViaje">Seleccionar un Nuevo Viaje</a>
<br><br>

</div>

</div>

<footer class="row">
<div class="col-lg-12 pie">
El footer
</div>
</footer>	



</div>



</body>
</html>