package uam.tdaw.dinamica.negocio;

import java.util.LinkedList;

import uam.tdaw.dinamica.clases.Destino;
import uam.tdaw.dinamica.clases.Preferencia;
import uam.tdaw.dinamica.clases.TipoViaje;
import uam.tdaw.dinamica.clases.Viaje;

public class AdministrarListas {

	
	public LinkedList<Destino> listaDestinos(){
		
		LinkedList<Destino>lista = new LinkedList<Destino>();
		
		for (int i=1;i<=5;i++){
			Destino destino = new Destino();
			destino.setNombre("Nombre del Destino Turístico " + i);
			destino.setClave("CVEDEST0"+i);
			lista.add(destino);
		}
		
		return lista;
	}
	
	public LinkedList<Preferencia> listaPreferencias(){
		
		LinkedList<Preferencia>lista = new LinkedList<Preferencia>();
		
		for (int i=1;i<=5;i++){
			Preferencia preferencia = new Preferencia();
			preferencia.setDescripcion("Preferencia Viaje " + i);
			preferencia.setClave("CVEPREF0"+i);
			lista.add(preferencia);
		}

		return lista;
	}
	
	public LinkedList<TipoViaje> listaTipoViaje(){
		
		LinkedList<TipoViaje>lista = new LinkedList<TipoViaje>();
		
		for(int i=1;i<=2;i++){
			TipoViaje tipo = new TipoViaje();
			tipo.setDescripcion("Tipo de Viaje" + i);
			tipo.setClave("CVEVIA0"+i);
			lista.add(tipo);
		}
		
		return lista;
		
	}
	
	
	public LinkedList<Viaje> listasViajes(){
		
		LinkedList<Viaje>lista = new LinkedList<Viaje>();

		for(int i=1;i<=5;i++){
			Viaje viaje = new Viaje();
			viaje.setIdViaje(i);
			viaje.setDestino("Destino Viaje " + i);
			viaje.setPreferencia("Preferencias del Viaje " + i);
			viaje.setTipoViaje("Tipo de Viaje " + i);
			
			lista.add(viaje);
		}
		return lista;
		
	}
	
	
	
}
