<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
    <%@ taglib uri="http://www.springframework.org/tags/form" prefix="tag"%>
        <%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
    
    
    
    
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<link rel="stylesheet" href="<c:url value="/recursos/css/bootstrap.min.css"/>"/>
<link rel="stylesheet" href="<c:url value="/recursos/css_propios/base.css"/>"/>
<link rel="stylesheet" href="<c:url value="/recursos/css_propios/nuevo_viaje.css"/>"/>

<script src="<c:url value="/recursos/js/bootstrap.min.js"/>"></script>
<script src="<c:url value="/recursos/js/jquery-3.2.1.min.js"/>"></script>

<title>Insert title here</title>
</head>
<body>

<div class="container">

<div class="row">

<section class="col-lg-12 encabezado">
<section class="col-lg-2 contenedor_imagen">
<img src="<c:url value="/recursos/imgs/logo_uam.png"/>"/>
</section>

<section class="col-lg-10">
Soy otra cosa
</section>
</section>


<div class="col-lg-12 ">

<c:if test="${bandera == 'REG'}">
		<c:set var="leyenda" value="Registrar"/>
		<c:set var="action" value="registrarNuevoViaje"/>
	</c:if>


	<c:if test="${bandera == 'ACT'}">
		<c:set var="leyenda" value="Actualizar"/>
		<c:set var="action" value="actualizarViaje"/>
	</c:if>

<h1>${leyenda} un Viaje</h1>

	

	<tag:form action="${action}" method="POST" modelAttribute="datosViaje">

	<tag:hidden path="idViaje" value="${datosViaje.idViaje}"/>	

	<h3>Selecciona el Destino</h3>
	<tag:select path="destino" class="form-control">
		
	
		
		<tag:options items="${listaDestinosVista}" itemValue="clave" itemLabel="nombre"/>
	
	</tag:select>
	
	<h3>Tipo de Viaje</h3>

	<tag:radiobutton path="tipoViaje" value="${seleccionDefectoVista.clave}" 
	label="${seleccionDefectoVista.descripcion}" checked="checked" class="radio"/>
	<tag:radiobuttons items="${listaTipoViajeVista}" itemValue="clave" itemLabel="descripcion" path="tipoViaje" class="radio"/>
	
	<h3>Preferencias</h3>
	

		<tag:checkboxes class="checkbox" items="${listaPreferenciaVista}" itemValue="clave" itemLabel="descripcion" path="seleccionPreferencia"/>

	
	
	
	<br><br>
	<tag:button class="btn btn_personalizado">${leyenda} Viaje</tag:button>
	
	</tag:form>
	


</div>




</div>

<footer class="row">
<div class="col-lg-12 pie">
El footer
</div>
</footer>	


</div>




</body>
</html>